Subject: [PATCH] builtin/blame.c: Fix a "Using plain integer as NULL pointer" warning

From: Ramsay Jones <[email-masked]>
Date: Sun, 13 May 2012 22:41:16 +0100

Signed-off-by: Ramsay Jones <[email-masked]>
---

Hi Junio,

I try to catch these warnings, while the topics are still in the
pu branch, so that we can squash the fix into them before they
hit next. I don't know how I missed this one (commit 4b4132f,
"blame: factor out helper for calling xdi_diff()", 09-05-2012)
which was part of the 'rs/xdiff-lose-emit-func' branch.

Sorry about that.

ATB,
Ramsay Jones

 builtin/blame.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/builtin/blame.c b/builtin/blame.c
index 778d661..24d3dd5 100644
--- a/builtin/blame.c
+++ b/builtin/blame.c
@@ -93,7 +93,7 @@ static int diff_hunks(mmfile_t *file_a, mmfile_t *file_b, long ctxlen,
 {
 	xpparam_t xpp = {0};
 	xdemitconf_t xecfg = {0};
-	xdemitcb_t ecb = {0};
+	xdemitcb_t ecb = {NULL};
 
 	xpp.flags = xdl_opts;
 	xecfg.ctxlen = ctxlen;
-- 
1.7.10